Package org.zkoss.zk.ui.util

## Class URIInfo

- java.lang.Object
- - org.zkoss.zk.ui.util.URIInfo

-     public class URIInfo
      extends java.lang.Object

  Represents an URI and how to use the URI.
  Since:
    3.6.3
  Author:
    tomyeh

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `POPUP` | Represents popup shall be used to show the content of the URI (`uri`).
    `static int` | `SEND_REDIRECT` | Represents send-redirect shall be used to access the URI (`uri`).
    `int` | `type` | How to use the URI.
    `java.lang.String` | `uri` | The URI.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `URIInfo​(java.lang.String uri)` | Constructor.
    `URIInfo​(java.lang.String uri, int type)` | Constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SEND_REDIRECT

          public static final int SEND_REDIRECT

      Represents send-redirect shall be used to access the URI (`uri`). It implies the URI can be anything, such as HTML, JSP, and ZUL, as long as it is a complete Web page.
      See Also:
        `type`, Constant Field Values

    - #### POPUP

          public static final int POPUP

      Represents popup shall be used to show the content of the URI (`uri`). It implies the content of the URI might be a fragment of HTML tags (rather than ZUL).
      See Also:
        `type`, Constant Field Values

    - #### uri

          public final java.lang.String uri

      The URI.

    - #### type

          public final int type

      How to use the URI. It could be one of `SEND_REDIRECT` or `POPUP`.

  - ### Constructor Detail

    - #### URIInfo

          public URIInfo​(java.lang.String uri,
                         int type)

      Constructor.
      Parameters:
        `uri` - the URI. (Notice that URI is not encoded with servlet context yet)
        `type` - how to use the URI. It could be one of `SEND_REDIRECT` or `POPUP`.

    - #### URIInfo

          public URIInfo​(java.lang.String uri)

      Constructor. It is equivalent to URIInfo(uri, SEND_REDIRECT).